%define current_version 7.0.4
%define scriptsdir /usr/lib/parallels-tools/tools/scripts
%define cloudinitdir /etc/cloud/cloud.cfg.d

Name: prl_nettool
Version: %{current_version}
Release:        4.el6
Summary: Virtuozzo network configuration utility for guests
Group: System Environment/Base
License: GPLv2
Source: %{name}-%{version}.tar.bz2
BuildRequires: iproute-devel glibc-static

%description
Virtuozzo network configuration utility for guests.

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} -f Makefile.Linux

%install
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT -f Makefile.Linux install

%files
%defattr(-, root, root, -)
%{_sbindir}/%{name}
%{scriptsdir}
%{cloudinitdir}/*

%changelog
* Tue Jun 28 2016 Yuriy Pudgorodskiy <yur@virtuozzo.com> 7.0.4-4
- Disable cloud-init network config #PSBM-48878

* Thu Jun 23 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-3
- Add check on DHCPv4 to redhat set ip script. #PSBM-48525
- Fix wait of DHCP for some cases. #PSBM-47938

* Tue Jun  7 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-2
- Fix clean IP and GW for iface configured by DHCP #PSBM-47770

* Tue Apr 12 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.4-1
- fix create_nm_if_config logic

* Mon Feb 22 2016 Maxim Perevedentsev <mperevedentsev@virtuozzo.com> 7.0.3
 - Add nameservers/searchdomains to dhclient.conf, #PSBM-43663
 - Fix set ip for VM with NM and interface method link-local. #PSBM-44221
(Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add precompile if to call rtnl_dump_filter with correct arg number for
libnetlink versions. #PSBM-44221 (Alexander Pisarev <apisarev@virtuozzo.com>)
 - Add support of Network Manager for RedHat based OS. #PSBM-44221 (Alexander
Pisarev <apisarev@virtuozzo.com>)
 - Fix IP receives from dhcp on a Debian VM with tools. #PSBM-39227 (Aleksander
Pisarev <apisarev@virtuozzo.com>)
 - BUGFIX #PSBM-43173 Do not disable network manager starting from CentOS 7
(Inga Pyass <ipyass@virtuozzo.com>)

* Fri Feb 19 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-5
- Set dist suffix to el6 #PSBM-44221

* Thu Feb 18 2016 Alexander <apisarev@virtuozzo.com> 7.0.1-4
- Split spec repo for el6 #PSBM-44221

* Fri Jan 22 2016 Konstantin <wolf@parallels.com> 7.0.1-3
- Do not disable network manager starting from CentOS 7 #PSBM-43173

* Wed Dec  9 2015 Konstantin <wolf@parallels.com> 7.0.1-2
- Fixed secondary IPv4 addresses removal on switch to DHCP #PSBM-42096

* Mon Nov 09 2015 Konstantin <wolf@parallels.com> 7.0.1-1
 - Initial version

